##
##  freetds.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2012 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         freetds
Summary:      Tabular DataStream (TDS) RDBMS Protocol
URL:          http://www.freetds.org/
Vendor:       The FreeTDS Project
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Database
License:      LGPL
Version:      0.91
Release:      20120603

#   package options
%option       with_odbc    no
%option       with_shared  no

#   list of sources
Source0:      ftp://ftp.ibiblio.org/pub/Linux/ALPHA/freetds/stable/freetds-%{version}.tar.gz
Patch0:       freetds.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101
PreReq:       OpenPKG, openpkg >= 20100101
BuildPreReq:  libiconv, readline
PreReq:       libiconv, readline
%if "%{with_odbc}" == "yes"
BuildPreReq:  unixodbc
PreReq:       unixodbc
%endif

%description
    FreeTDS is a project to document and implement the TDS (Tabular
    DataStream) protocol. TDS is used by Sybase and Microsoft for client
    to database server communications. FreeTDS includes call level
    interfaces for DB-Lib, CT-Lib, and ODBC.

%track
    prog freetds = {
        version   = %{version}
        url       = ftp://ftp.ibiblio.org/pub/Linux/ALPHA/freetds/stable/
        regex     = freetds-(\d+\.\d+(\.\d+)*)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --mandir=%{l_prefix}/man \
        --sysconfdir=%{l_prefix}/etc/freetds \
        --includedir=%{l_prefix}/include/freetds \
        --libdir=%{l_prefix}/lib/freetds \
        --with-tdsver=7.0 \
%if "%{with_odbc}" == "yes"
        --enable-odbc \
        --with-unixodbc=%{l_prefix} \
%else
        --disable-odbc \
%endif
%if "%{with_shared}" == "yes"
        --enable-shared
%else
        --disable-shared
%endif
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/doc
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/freetds/*'

%files -f files

%clean

